From 42f5a3a1c8ad51f1bf16878547ae8bc77d6e5b05 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 28 2024 03:34:04 +0000
Subject: [PATCH 172/220] s


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 49703a0..4d5025c 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -65,17 +65,16 @@ BuildRequires:  just
 
 %prep
 %autosetup -n cosmic-applibrary-%{commit} -p1 -a1
-cp %{SOURCE2} .
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index b7b326b..6769fbe 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -75,13 +75,13 @@ Requires:       cosmic-panel
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index d58e5ed..4ea9fa7 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -60,13 +60,13 @@ Requires:       cosmic-session
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 6fe218b..da22c6d 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -78,13 +78,13 @@ Recommends:     cosmic-session
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index a1565ab..9a4949b 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -73,13 +73,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index b596ef7..f8e2c4d 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -73,13 +73,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 6b95235..4b67d81 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -80,13 +80,13 @@ Requires:       cosmic-comp
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 80a2352..af907a4 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -73,13 +73,13 @@ Requires:       pop-launcher
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index e1111d9..f283b80 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -66,13 +66,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index bfb4a96..f2e5f7f 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -71,13 +71,13 @@ BuildRequires:  make
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 031fe59..56276cb 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -63,13 +63,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index ff213bd..80e19ea 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -54,13 +54,13 @@ Cosmic-randr command line interface.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index c85b9db..329a408 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -57,13 +57,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 3ea39fd..eaf6995 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -83,13 +83,13 @@ The session manager for the COSMIC desktop environment.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index f9ca209..363c8e7 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -70,13 +70,13 @@ Requires:       acpid
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 970084c..306d0ed 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -71,13 +71,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 8e8ed39..6223071 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -71,13 +71,13 @@ Requires:       flatpak-libs
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 70981ab..0a61d25 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -72,13 +72,13 @@ BuildRequires:  git-core
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 41c3de1..40c7a24 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -76,13 +76,13 @@ Requires:       cosmic-comp
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 6db13e6..75d95f0 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -69,13 +69,13 @@ Requires:       fd-find
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 9bc8ed2..8f49e28 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -75,13 +75,13 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
-  cat .vendor/config.toml >> .cargo/config.toml
-  echo "Appended .vendor/config.toml to .cargo/config.toml"
+  # If it exists, append the contents of ../vendor-config.toml to .cargo/config.toml
+  cat ../vendor-config.toml >> .cargo/config.toml
+  echo "Appended ../vendor-config.toml to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
-  cat .vendor/config.toml >> .cargo/config
-  echo "Appended .vendor/config.toml to .cargo/config"
+  # If it does not exist, append the contents of ../vendor-config.toml to .cargo/config
+  cat ../vendor-config.toml >> .cargo/config
+  echo "Appended ../vendor-config.toml to .cargo/config"
 fi
 
 %build

